Index: azure_iot_hub/trunk/asp3_dcre/kernel/interrupt.trb
===================================================================
--- azure_iot_hub/trunk/asp3_dcre/kernel/interrupt.trb	(revision 388)
+++ azure_iot_hub/trunk/asp3_dcre/kernel/interrupt.trb	(revision 389)
@@ -9,47 +9,32 @@
 #               Graduate School of Information Science, Nagoya Univ., JAPAN
 # 
-#   ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)ï½(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
-#   ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
-#   å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
-#   (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
-#       æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
-#       ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
-#   (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
-#       ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
-#       è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
-#       ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
-#   (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
-#       ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
-#       ã¨ï¼
-#     (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
-#         ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
-#     (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
-#         å ±åãããã¨ï¼
-#   (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
-#       å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
-#       ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
-#       ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
-#       å
-è²¬ãããã¨ï¼
-# 
-#   æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
-#   ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
-#   ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
-#   ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
-#   ã®è²¬ä»»ãè² ããªãï¼
+#   上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
+#   ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+#   変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+#   (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+#       権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+#       スコード中に含まれていること．
+#   (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+#       用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+#       者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+#       の無保証規定を掲載すること．
+#   (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+#       用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+#       と．
+#     (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+#         作権表示，この利用条件および下記の無保証規定を掲載すること．
+#     (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+#         報告すること．
+#   (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+#       害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+#       また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+#       由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+#       免責すること．
+# 
+#   本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+#   よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+#   に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+#   アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+#   の責任を負わない．
 # 
 #   $Id$
@@ -57,15 +42,15 @@
 
 #
-#		å²è¾¼ã¿ç®¡çæ©è½ã®çæã¹ã¯ãªãã
-#
-
-#
-#  kernel_cfg.cã®çæ
+#		割込み管理機能の生成スクリプト
+#
+
+#
+#  kernel_cfg.cの生成
 #
 $kernelCfgC.comment_header("Interrupt Management Functions")
 
 #
-#  CRE_ISRã§ä½¿ç¨ã§ããå²è¾¼ã¿çªå·ã¨ããã«å¯¾å¿ããå²è¾¼ã¿ãã³ãã©çªå·ã®ã
-#  ãã©ã«ãå®ç¾©
+#  CRE_ISRで使用できる割込み番号とそれに対応する割込みハンドラ番号のデ
+#  フォルト定義
 #
 if $INTNO_CREISR_VALID.nil?
@@ -77,6 +62,5 @@
 
 #
-#  CFG_INTã§ä½¿ç¨ã§ããå²è¾¼ã¿åªå
-åº¦ã®ããã©ã«ãå®ç¾©
+#  CFG_INTで使用できる割込み優先度のデフォルト定義
 # 
 if $INTPRI_CFGINT_VALID.nil?
@@ -85,5 +69,5 @@
 
 #
-#  å²è¾¼ã¿çªå·ã¨å²è¾¼ã¿ãã³ãã©çªå·ã®å¤æãã¼ãã«ã®ä½æ
+#  割込み番号と割込みハンドラ番号の変換テーブルの作成
 #
 if $INTNO_CREISR_VALID.length != $INHNO_CREISR_VALID.length
@@ -101,27 +85,26 @@
 
 #
-#  å²è¾¼ã¿è¦æ±ã©ã¤ã³ã«é¢ããã¨ã©ã¼ãã§ãã¯
+#  割込み要求ラインに関するエラーチェック
 #
 $cfgData[:CFG_INT].each do |key, params|
-  #	intnoãå²è¾¼ã¿çªå·ã¨ãã¦æ­£ãããªãå ´åï¼E_PARï¼ï¼»NGKI2972ï¼½
+  #	intnoが割込み番号として正しくない場合（E_PAR）［NGKI2972］
   if $INTNO_VALID.index(params[:intno]).nil?
     error_illegal("E_PAR", params, :intno)
   end
 
-  #	intatrãç¡å¹ã®å ´åï¼E_RSATRï¼ï¼»NGKI2969ï¼½
-  #ï¼TA_ENAINTï¼TA_EDGEï¼TARGET_INTATRä»¥å¤ã®ããããã»ããããã¦ããå ´åï¼
+  #	intatrが無効の場合（E_RSATR）［NGKI2969］
+  #（TA_ENAINT，TA_EDGE，TARGET_INTATR以外のビットがセットされている場合）
   if (params[:intatr] & ~($TA_ENAINT|$TA_EDGE|$TARGET_INTATR)) != 0
     error_illegal_sym("E_RSATR", params, :intatr, :intno)
   end
 
-  #	intpriãCFG_INTã«å¯¾ããå²è¾¼ã¿åªå
-åº¦ã¨ãã¦æ­£ãããªãå ´åï¼E_PARï¼
-  #	ï¼»NGKI2973ï¼½
+  #	intpriがCFG_INTに対する割込み優先度として正しくない場合（E_PAR）
+  #	［NGKI2973］
   if $INTPRI_CFGINT_VALID.index(params[:intpri]).nil?
     error_illegal_sym("E_OBJ", params, :intpri, :intno)
   end
 
-  # ã«ã¼ãã«ç®¡çå¤ã«åºå®ããã¦ããintnoã«å¯¾ãã¦ï¼intpriã«TMIN_INTPRIã
-  #	ããå°ããå¤ãæå®ãããªãã£ãå ´åï¼E_OBJï¼ï¼»NGKI2983ï¼½
+  # カーネル管理外に固定されているintnoに対して，intpriにTMIN_INTPRIよ
+  #	りも小さい値が指定されなかった場合（E_OBJ）［NGKI2983］
   if !$INTNO_FIX_NONKERNEL.nil?
     if !$INTNO_FIX_NONKERNEL.index(params[:intno]).nil?
@@ -133,6 +116,6 @@
   end
 
-  #	ã«ã¼ãã«ç®¡çã«åºå®ããã¦ããintnoã«å¯¾ãã¦ï¼intpriã«TMIN_INTPRIãã
-  #	ãå°ããå¤ãæå®ãããå ´åï¼E_OBJï¼ï¼»NGKI2984ï¼½
+  #	カーネル管理に固定されているintnoに対して，intpriにTMIN_INTPRIより
+  #	も小さい値が指定された場合（E_OBJ）［NGKI2984］
   if !$INTNO_FIX_KERNEL.nil?
     if !$INTNO_FIX_KERNEL.index(params[:intno]).nil?
@@ -146,20 +129,20 @@
 
 #
-#  å²è¾¼ã¿ãã³ãã©ã«é¢ããã¨ã©ã¼ãã§ãã¯
+#  割込みハンドラに関するエラーチェック
 #
 $cfgData[:DEF_INH].each do |key, params|
-  # inhnoãå²è¾¼ã¿ãã³ãã©çªå·ã¨ãã¦æ­£ãããªãå ´åï¼E_PARï¼ï¼»NGKI3055ï¼½
+  # inhnoが割込みハンドラ番号として正しくない場合（E_PAR）［NGKI3055］
   if $INHNO_VALID.index(params[:inhno]).nil?
     error_illegal("E_PAR", params, :inhno)
   end
 
-  # inhatrãç¡å¹ã®å ´åï¼E_RSATRï¼ï¼»NGKI3052ï¼½
-  #ï¼TARGET_INHATRä»¥å¤ã®ããããã»ããããã¦ããå ´åï¼
+  # inhatrが無効の場合（E_RSATR）［NGKI3052］
+  #（TARGET_INHATR以外のビットがセットされている場合）
   if (params[:inhatr] & ~($TARGET_INHATR)) != 0
     error_illegal_sym("E_RSATR", params, :inhatr, :inhno)
   end
 
-  #	ã«ã¼ãã«ç®¡çå¤ã«åºå®ããã¦ããinhnoã«å¯¾ãã¦ï¼inhatrã«TA_NONKERNELã
-  #	æå®ããã¦ããªãå ´åï¼E_RSATRï¼ï¼»NGKI3067ï¼½
+  #	カーネル管理外に固定されているinhnoに対して，inhatrにTA_NONKERNELが
+  #	指定されていない場合（E_RSATR）［NGKI3067］
   if !$INHNO_FIX_NONKERNEL.nil?
     if !$INHNO_FIX_NONKERNEL.index(params[:inhno]).nil?
@@ -171,6 +154,6 @@
   end
 
-  #	ã«ã¼ãã«ç®¡çã«åºå®ããã¦ããinhnoã«å¯¾ãã¦ï¼inhatrã«TA_NONKERNELãæ
-  #	å®ããã¦ããå ´åï¼E_RSATRï¼ï¼»NGKI3068ï¼½
+  #	カーネル管理に固定されているinhnoに対して，inhatrにTA_NONKERNELが指
+  #	定されている場合（E_RSATR）［NGKI3068］
   if !$INHNO_FIX_KERNEL.nil?
     if !$INHNO_FIX_KERNEL.index(params[:inhno]).nil?
@@ -185,5 +168,5 @@
     intnoVal = $toIntnoVal[params[:inhno].val]
 
-    # inhnoã«å¯¾å¿ããintnoã«å¯¾ããCFG_INTããªãå ´åï¼E_OBJï¼ï¼»NGKI3062ï¼½
+    # inhnoに対応するintnoに対するCFG_INTがない場合（E_OBJ）［NGKI3062］
     if !$cfgData[:CFG_INT].has_key?(intnoVal)
       error_ercd("E_OBJ", params, "intno `#{intnoVal}' corresponding to " \
@@ -192,8 +175,7 @@
       intnoParams = $cfgData[:CFG_INT][intnoVal]
       if (params[:inhatr] & $TA_NONKERNEL) == 0
-        # inhatrã«TA_NONKERNELãæå®ããã¦ãããï¼inhnoã«å¯¾å¿ããintno
-        # ã«å¯¾ãã¦CFG_INTã§è¨­å®ãããå²è¾¼ã¿åªå
-åº¦ãTMIN_INTPRIãããå°
-        # ããå ´åï¼E_OBJï¼ï¼»NGKI3065ï¼½
+        # inhatrにTA_NONKERNELが指定されておらず，inhnoに対応するintno
+        # に対してCFG_INTで設定された割込み優先度がTMIN_INTPRIよりも小
+        # さい場合（E_OBJ）［NGKI3065］
         if intnoParams[:intpri] < $TMIN_INTPRI
           error_ercd("E_OBJ", params, "intpri `#{intnoParams[:intpri]}' " \
@@ -201,8 +183,7 @@
         end
       else
-        # inhatrã«TA_NONKERNELãæå®ããã¦ããï¼inhnoã«å¯¾å¿ããintnoã«
-        # å¯¾ãã¦CFG_INTã§è¨­å®ãããå²è¾¼ã¿åªå
-åº¦ãTMIN_INTPRIä»¥ä¸ã§ãã
-        # å ´åï¼E_OBJï¼ï¼»NGKI3066ï¼½
+        # inhatrにTA_NONKERNELが指定されており，inhnoに対応するintnoに
+        # 対してCFG_INTで設定された割込み優先度がTMIN_INTPRI以上である
+        # 場合（E_OBJ）［NGKI3066］
         if intnoParams[:intpri] >= $TMIN_INTPRI
           error_ercd("E_OBJ", params, "intpri `#{intnoParams[:intpri]}' " \
@@ -215,21 +196,21 @@
 
 #
-#  å²è¾¼ã¿ãµã¼ãã¹ã«ã¼ãã³ï¼ISRï¼ã«é¢ããã¨ã©ã¼ãã§ãã¯
+#  割込みサービスルーチン（ISR）に関するエラーチェック
 #
 $cfgData[:CRE_ISR].sort.each do |key, params|
-  #	isratrãç¡å¹ã®å ´åï¼E_RSATRï¼ï¼»NGKI2998ï¼½
-  #ï¼TARGET_ISRATRä»¥å¤ã®ããããã»ããããã¦ããå ´åï¼
+  #	isratrが無効の場合（E_RSATR）［NGKI2998］
+  #（TARGET_ISRATR以外のビットがセットされている場合）
   if (params[:isratr] & ~($TARGET_ISRATR)) != 0
     error_illegal("E_RSATR", params, "isratr")
   end
 
-  #	intnoãCRE_ISRã«å¯¾ããå²è¾¼ã¿çªå·ã¨ãã¦æ­£ãããªãå ´åï¼E_PARï¼
-  #	ï¼»NGKI3003ï¼½
+  #	intnoがCRE_ISRに対する割込み番号として正しくない場合（E_PAR）
+  #	［NGKI3003］
   if $INTNO_CREISR_VALID.index(params[:intno]).nil?
     error_illegal("E_PAR", params, "intno")
   end
 
-  #	(TMIN_ISRPRI <= isrpri && isrpri <= TMAX_ISRPRI)ã§ãªãå ´åï¼E_PARï¼
-  #	ï¼»NGKI3005ï¼½
+  #	(TMIN_ISRPRI <= isrpri && isrpri <= TMAX_ISRPRI)でない場合（E_PAR）
+  #	［NGKI3005］
   if !($TMIN_ISRPRI <= params[:isrpri] && params[:isrpri] <= $TMAX_ISRPRI)
     error_illegal("E_PAR", params, "isrpri")
@@ -238,5 +219,5 @@
 
 $INTNO_CREISR_VALID.each do |intnoVal|
-  # å²è¾¼ã¿çªå·intnoã«å¯¾ãã¦ç»é²ãããISRã®ãªã¹ãã®ä½æ
+  # 割込み番号intnoに対して登録されたISRのリストの作成
   isrParamsList = []
   $cfgData[:CRE_ISR].sort.each do |key, params|
@@ -246,9 +227,9 @@
   end
 
-  #	å²è¾¼ã¿çªå·intnoã«å¯¾ãã¦ç»é²ãããISRãå­å¨ããå ´å
+  #	割込み番号intnoに対して登録されたISRが存在する場合
   if isrParamsList.size > 0
     inhnoVal = $toInhnoVal[intnoVal]
 
-    # intnoã«å¯¾å¿ããinhnoã«å¯¾ãã¦DEF_INHãããå ´åï¼E_OBJï¼ï¼»NGKI3013ï¼½
+    # intnoに対応するinhnoに対してDEF_INHがある場合（E_OBJ）［NGKI3013］
     if $cfgData[:DEF_INH].has_key?(inhnoVal)
       inhnoParams = $cfgData[:DEF_INH][inhnoVal]
@@ -257,5 +238,5 @@
     end
 
-    # intnoã«å¯¾ããCFG_INTããªãå ´åï¼E_OBJï¼ï¼»NGKI3012ï¼½
+    # intnoに対するCFG_INTがない場合（E_OBJ）［NGKI3012］
     if !$cfgData[:CFG_INT].has_key?(intnoVal)
       error_ercd("E_OBJ", isrParamsList[0], "%%intno in %apiname " \
@@ -264,7 +245,6 @@
       intnoParams = $cfgData[:CFG_INT][intnoVal]
 
-      #	intnoã«å¯¾ãã¦CFG_INTã§è¨­å®ãããå²è¾¼ã¿åªå
-åº¦ãTMIN_INTPRIããã
-      #	å°ããå ´åï¼E_OBJï¼ï¼»NGKI3014ï¼½
+      #	intnoに対してCFG_INTで設定された割込み優先度がTMIN_INTPRIよりも
+      #	小さい場合（E_OBJ）［NGKI3014］
       if intnoParams[:intpri] < $TMIN_INTPRI
         error_ercd("E_OBJ", isrParamsList[0],
@@ -277,5 +257,5 @@
 
 #
-#  å²è¾¼ã¿ãµã¼ãã¹ã«ã¼ãã³ï¼ISRï¼ç®¡çã®ãã¼ã¿æ§é 
+#  割込みサービスルーチン（ISR）管理のデータ構造
 #
 intnoIsrList = []
@@ -313,10 +293,10 @@
 
 #
-#  å²è¾¼ã¿ãµã¼ãã¹ã«ã¼ãã³ï¼ISRï¼å¼åºãã®ããã®å²è¾¼ã¿ãã³ãã©
+#  割込みサービスルーチン（ISR）呼出しのための割込みハンドラ
 #
 intnoIsrList.each do |intnoVal|
   inhnoVal = $toInhnoVal[intnoVal]
 
-  # æ¬¡ã®DEF_INHã«ç¸å½ãããã¼ã¿ãçæ
+  # 次のDEF_INHに相当するデータを生成
   # DEF_INH(inhno, { TA_NULL, _kernel_inthdr_<intno> } );
   $cfgData[:DEF_INH][inhnoVal] = {
@@ -326,5 +306,5 @@
   }
 
-  # å²è¾¼ã¿ãµã¼ãã¹ã«ã¼ãã³ç¨ã®å²è¾¼ã¿ãã³ãã©
+  # 割込みサービスルーチン用の割込みハンドラ
   $kernelCfgC.add("void")
   $kernelCfgC.add("_kernel_inthdr_#{intnoVal}(void)")
@@ -335,6 +315,5 @@
 
 #
-#  å²è¾¼ã¿ãµã¼ãã¹ã«ã¼ãã³ã«é¢ããä¸è¬çãªæ
-å ±ã®çæ
+#  割込みサービスルーチンに関する一般的な情報の生成
 #
 class IsrObject < KernelObject
@@ -344,5 +323,5 @@
 
   def prepare(key, params)
-    # ã¨ã©ã¼ãã§ãã¯ã¯å®æ½æ¸ã¿ãªã®ã§ï¼ããã§ã®å¦çã¯ä¸è¦
+    # エラーチェックは実施済みなので，ここでの処理は不要
   end
 
@@ -355,5 +334,5 @@
 IsrObject.new.generate()
 
-# å²è¾¼ã¿ãµã¼ãã¹ã«ã¼ãã³çæé åºãã¼ãã«ã®çæ
+# 割込みサービスルーチン生成順序テーブルの生成
 if $cfgData[:CRE_ISR].size != 0
   $kernelCfgC.add("const ID _kernel_isrorder_table[TNUM_SISRID] = { ")
@@ -371,10 +350,9 @@
 
 #
-#  å²è¾¼ã¿ãã³ãã©ã®ããã®æ¨æºçãªåæåæ
-å ±ã®çæ
+#  割込みハンドラのための標準的な初期化情報の生成
 #
 if !$OMIT_INITIALIZE_INTERRUPT || $USE_INHINIB_TABLE
   #
-  #  å®ç¾©ããå²è¾¼ã¿ãã³ãã©ã®æ°
+  #  定義する割込みハンドラの数
   #
   $kernelCfgC.add(<<EOS)
@@ -385,5 +363,5 @@
   if $cfgData[:DEF_INH].size != 0
     #
-    #  å²è¾¼ã¿ãã³ãã©ã®ã¨ã³ããª
+    #  割込みハンドラのエントリ
     #
     $cfgData[:DEF_INH].each do |key, params|
@@ -396,5 +374,5 @@
 
     #
-    #  å²è¾¼ã¿ãã³ãã©åæåãã­ãã¯
+    #  割込みハンドラ初期化ブロック
     #
     $kernelCfgC.add("const INHINIB _kernel_inhinib_table[TNUM_DEF_INHNO] = {")
@@ -418,10 +396,9 @@
 
 #
-#  å²è¾¼ã¿è¦æ±ã©ã¤ã³ã®ããã®æ¨æºçãªåæåæ
-å ±ã®çæ
+#  割込み要求ラインのための標準的な初期化情報の生成
 #
 if !$OMIT_INITIALIZE_INTERRUPT || $USE_INTINIB_TABLE
   #
-  #  è¨­å®ããå²è¾¼ã¿è¦æ±ã©ã¤ã³ã®æ°
+  #  設定する割込み要求ラインの数
   #
   $kernelCfgC.add(<<EOS)
@@ -431,5 +408,5 @@
 
   #
-  #  å²è¾¼ã¿è¦æ±ã©ã¤ã³åæåãã­ãã¯
+  #  割込み要求ライン初期化ブロック
   #
   if $cfgData[:CFG_INT].size != 0
@@ -449,5 +426,5 @@
 
 #
-#  å²è¾¼ã¿ç®¡çæ©è½åæåé¢æ°ã®è¿½å 
+#  割込み管理機能初期化関数の追加
 #
 $initializeFunctions.push("_kernel_initialize_interrupt();")
Index: azure_iot_hub/trunk/asp3_dcre/kernel/kernel.trb
===================================================================
--- azure_iot_hub/trunk/asp3_dcre/kernel/kernel.trb	(revision 388)
+++ azure_iot_hub/trunk/asp3_dcre/kernel/kernel.trb	(revision 389)
@@ -9,47 +9,32 @@
 #               Graduate School of Information Science, Nagoya Univ., JAPAN
 # 
-#   ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)ï½(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
-#   ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
-#   å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
-#   (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
-#       æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
-#       ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
-#   (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
-#       ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
-#       è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
-#       ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
-#   (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
-#       ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
-#       ã¨ï¼
-#     (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
-#         ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
-#     (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
-#         å ±åãããã¨ï¼
-#   (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
-#       å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
-#       ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
-#       ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
-#       å
-è²¬ãããã¨ï¼
+#   上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
+#   ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+#   変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+#   (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+#       権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+#       スコード中に含まれていること．
+#   (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+#       用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+#       者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+#       の無保証規定を掲載すること．
+#   (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+#       用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+#       と．
+#     (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+#         作権表示，この利用条件および下記の無保証規定を掲載すること．
+#     (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+#         報告すること．
+#   (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+#       害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+#       また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+#       由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+#       免責すること．
 # 
-#   æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
-#   ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
-#   ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
-#   ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
-#   ã®è²¬ä»»ãè² ããªãï¼
+#   本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+#   よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+#   に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+#   アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+#   の責任を負わない．
 # 
 #   $Id$
@@ -57,15 +42,14 @@
 
 #
-#		ã³ã³ãã£ã®ã¥ã¬ã¼ã¿ã®ãã¹2ã®çæã¹ã¯ãªãã
-#
-
-#
-#  ã¿ã¤ã ã¹ã¿ã³ããã¡ã¤ã«ã®æå®
+#		コンフィギュレータのパス2の生成スクリプト
+#
+
+#
+#  タイムスタンプファイルの指定
 #
 $timeStampFileName = "kernel_cfg.timestamp"
 
 #
-#  kernel_cfg.hã®å
-é ­é¨åã®çæ
+#  kernel_cfg.hの先頭部分の生成
 #
 $kernelCfgH = GenFile.new("kernel_cfg.h")
@@ -77,6 +61,5 @@
 
 #
-#  kernel_cfg.cã®å
-é ­é¨åã®çæ
+#  kernel_cfg.cの先頭部分の生成
 #
 $kernelCfgC = GenFile.new("kernel_cfg.c")
@@ -92,5 +75,5 @@
 
 #
-#  ã¤ã³ã¯ã«ã¼ããã£ã¬ã¯ãã£ãï¼#includeï¼
+#  インクルードディレクティブ（#include）
 #
 $kernelCfgC.comment_header("Include Directives")
@@ -101,12 +84,11 @@
 
 #
-#  ã¹ã¿ãã¯é åã®ç¢ºä¿é¢æ°
-#
-#  ã¹ã¿ãã¯é åã®å®ç¾©åã¨ï¼ã¹ã¿ãã¯é åã®ãµã¤ãºè¨è¿°ãé
-åã§è¿ãï¼
+#  スタック領域の確保関数
+#
+#  スタック領域の定義分と，スタック領域のサイズ記述を配列で返す．
 #
 unless defined? AllocStack()
   def AllocStack(stack, size, section)
-    # å¤§ããæ¹ã«ä¸¸ãããµã¤ãºã§ç¢ºä¿ããï¼»NGKI1050ï¼½ï¼»NGKI3220ï¼½
+    # 大きい方に丸めたサイズで確保する［NGKI1050］［NGKI3220］
     $kernelCfgC.add("/*static*/ STK_T __attribute__((section(\"#{section}\"),aligned(16))) #{stack}[COUNT_STK_T(#{size})];")
     return("ROUND_STK_T(#{size})")
@@ -115,6 +97,5 @@
 
 #
-#  ã«ã¼ãã«ãªãã¸ã§ã¯ãã«é¢ããæ
-å ±ã®çæï¼ä»®æ³ã¯ã©ã¹ï¼
+#  カーネルオブジェクトに関する情報の生成（仮想クラス）
 #
 class KernelObject
@@ -131,5 +112,5 @@
 
   def generate()
-    # AID_@OBJã®å¦ç
+    # AID_@OBJの処理
     numAutoObjid = 0
     $cfgData["AID_#{@OBJ}".to_sym].each do |key, params|
@@ -138,8 +119,8 @@
     numObjid = $cfgData[@api].size + numAutoObjid
 
-    # kernel_cfg.hã®çæ
+    # kernel_cfg.hの生成
     $kernelCfgH.add("#define TNUM_#{@OBJ}ID\t#{numObjid}")
 
-    # ãªãã¸ã§ã¯ãã®IDçªå·ã®ãã¯ã­å®ç¾©ã®çæ
+    # オブジェクトのID番号のマクロ定義の生成
     $cfgData[@api].sort.each do |key, params|
       $kernelCfgH.add("#define #{params[@objid]}\t#{params[@objid].val}")
@@ -147,5 +128,5 @@
     $kernelCfgH.add()
 
-    # ãªãã¸ã§ã¯ãã®IDçªå·ãä¿æããå¤æ°
+    # オブジェクトのID番号を保持する変数
     if $USE_EXTERNAL_ID
       $cfgData[@api].sort.each do |key, params|
@@ -156,8 +137,8 @@
     end
 
-    # éçã«çæããããªãã¸ã§ã¯ãã®æ°
+    # 静的に生成されたオブジェクトの数
     $kernelCfgC.add("#define TNUM_S#{@OBJ}ID\t#{$cfgData[@api].size}")
 
-    # ãªãã¸ã§ã¯ãIDçªå·ã®æå¤§å¤
+    # オブジェクトID番号の最大値
     $kernelCfgC.add("const ID _kernel_tmax_#{@obj}id" \
 							" = (TMIN_#{@OBJ}ID + TNUM_#{@OBJ}ID - 1);")
@@ -165,19 +146,17 @@
 							" = (TMIN_#{@OBJ}ID + TNUM_S#{@OBJ}ID - 1);")
 
-    # ãã¼ã¿æ§é 
+    # データ構造
     if $cfgData[@api].size > 0
-      # äºåæºåï¼ã¨ã©ã¼ãã§ãã¯ï¼ã¡ã¢ãªé åã®çæï¼
+      # 事前準備（エラーチェック，メモリ領域の生成）
       $cfgData[@api].sort.each do |key, params|
         prepare(key, params)
       end
 
-      # ãªãã¸ã§ã¯ãå
-¨ä½ã«å¯¾ãã¦å¿
-è¦ãªã¡ã¢ãªé åã®çæï¼ãªãã·ã§ã³ï¼
+      # オブジェクト全体に対して必要なメモリ領域の生成（オプション）
       if respond_to?(:generateData)
         generateData()
       end
 
-      # ãªãã¸ã§ã¯ãåæåãã­ãã¯ã®çæ
+      # オブジェクト初期化ブロックの生成
       $kernelCfgC.add("const #{@OBJ_S}INIB _kernel_#{@obj_s}inib_table" \
 													"[TNUM_S#{@OBJ}ID] = {")
@@ -193,5 +172,5 @@
     end
 
-    # åççæãªãã¸ã§ã¯ãç¨ã®ãªãã¸ã§ã¯ãåæåãã­ãã¯
+    # 動的生成オブジェクト用のオブジェクト初期化ブロック
     @inibList.each do |type, array|
       if numAutoObjid > 0
@@ -203,9 +182,9 @@
 
     if numObjid > 0
-      # ãªãã¸ã§ã¯ãç®¡çãã­ãã¯ã®çæ
+      # オブジェクト管理ブロックの生成
       $kernelCfgC.add2("#{@OBJ_S}CB _kernel_#{@obj_s}cb_table" \
 													"[TNUM_#{@OBJ}ID];")
 
-      # ãªãã¸ã§ã¯ãåæåé¢æ°ã®è¿½å 
+      # オブジェクト初期化関数の追加
       $initializeFunctions.push("_kernel_initialize_#{@object}();")
     else
@@ -217,8 +196,8 @@
 
 #
-#  éç¥ãã³ãã©ã®çæé¢æ°
+#  通知ハンドラの生成関数
 #
 def generateNotifyHandler(key, params, objid)
-  # ãã©ã¡ã¼ã¿ãå¤æ°ã«æ ¼ç´
+  # パラメータを変数に格納
   nfymode = params[:nfymode]
   nfymode1 = nfymode & 0x0f
@@ -227,14 +206,14 @@
   par2 = params[:par2]
 
-  # éç¥å¦çã®ãã©ã¡ã¼ã¿æ°ã«ããè£æ­£å¦ç
+  # 通知処理のパラメータ数による補正処理
   if nfymode == $TNFY_HANDLER || nfymode1 == $TNFY_SETVAR \
 								|| nfymode1 == $TNFY_SETFLG \
 								|| nfymode1 == $TNFY_SNDDTQ
-    # éç¥å¦çã®ãã©ã¡ã¼ã¿ã2ã¤ã®å ´å
+    # 通知処理のパラメータが2つの場合
 	numpar = 2
 	epar1 = params[:par3]
 	epar2 = params[:par4]
   else
-    # éç¥å¦çã®ãã©ã¡ã¼ã¿ã1ã¤ã®å ´å
+    # 通知処理のパラメータが1つの場合
     numpar = 1
     epar1 = params[:par2]
@@ -242,25 +221,24 @@
   end
 
-  # ãã©ã¡ã¼ã¿æ°ã®ãã§ãã¯
+  # パラメータ数のチェック
   if (numpar == 2 && par2.nil?) || (nfymode2 != 0 && epar1.nil?) \
 								|| (nfymode2 == $TENFY_SETFLG && epar2.nil?)
-    # ãã©ã¡ã¼ã¿ãè¶³ããªãå ´å
+    # パラメータが足りない場合
     error_api(params, "too few parameters for nfymode `#{nfymode}' " \
 											"in %apiname of %#{objid}")
   elsif (nfymode2 == 0 && !epar1.nil?) \
 					|| (nfymode2 != $TENFY_SETFLG && !epar2.nil?)
-    # ãã©ã¡ã¼ã¿ãå¤ãããå ´å
+    # パラメータが多すぎる場合
     error_api(params, "too many parameters for nfymode `#{nfymode}' " \
 											"in %apiname of %#{objid}")
   elsif nfymode == $TNFY_HANDLER
-    # ã¿ã¤ã ã¤ãã³ããã³ãã©ã®å¼åºã
+    # タイムイベントハンドラの呼出し
     funcname = "(NFYHDR)(#{par2})"
   else
-    # éç¥ãã³ãã©ã®é¢æ°å
+    # 通知ハンドラの関数名
     funcname = "_kernel_nfyhdr_#{params[objid]}"
 
-    # ã¨ã©ã¼éç¥ã®ããã®å¤æ°ã®ã¢ãã¬ã¹ã¨ãªãã¸ã§ã¯ãIDãæ ¼ç´ãã
-    # å¤æ°ã®çæï¼ã¨ã©ã¼ãã§ãã¯ã®ããã«å¿
-è¦ï¼
+    # エラー通知のための変数のアドレスとオブジェクトIDを格納する
+    # 変数の生成（エラーチェックのために必要）
     if nfymode2 == $TENFY_SETVAR || nfymode2 == $TENFY_INCVAR
       $kernelCfgC.add2("intptr_t *const #{funcname}_p_evar =" \
@@ -276,6 +254,5 @@
     end
 
-    # é¢æ°ã®å
-é ­é¨åã®çæ
+    # 関数の先頭部分の生成
     $kernelCfgC.add("static void")
     $kernelCfgC.add("#{funcname}(intptr_t exinf)")
@@ -283,35 +260,35 @@
 
     if nfymode2 == 0
-      # ã¨ã©ã¼éç¥ããªãå ´å
+      # エラー通知がない場合
       errorCode = "(void) "
     else
-      # ã¨ã©ã¼éç¥ãããå ´å
+      # エラー通知がある場合
       $kernelCfgC.add2("\tER\tercd;")
       errorCode = "ercd = "
     end
 
-    # ã¤ãã³ãéç¥å¦çã®å¦ç
+    # イベント通知処理の処理
     if nfymode1 == $TNFY_SETVAR && nfymode2 == 0
-      # å¤æ°ã®è¨­å®
+      # 変数の設定
       $kernelCfgC.add("\t*((intptr_t *) exinf) = (#{par2});")
     elsif nfymode1 == $TNFY_INCVAR && nfymode2 == 0
-      # å¤æ°ã®ã¤ã³ã¯ãªã¡ã³ã
+      # 変数のインクリメント
       $kernelCfgC.add("\t(void) loc_cpu();")
       $kernelCfgC.add("\t*((intptr_t *) exinf) += 1;")
       $kernelCfgC.add("\t(void) unl_cpu();")
     elsif nfymode1 == $TNFY_ACTTSK
-      # ã¿ã¹ã¯ã®èµ·å
+      # タスクの起動
       $kernelCfgC.add("\t#{errorCode}act_tsk((ID) exinf);")
     elsif nfymode1 == $TNFY_WUPTSK
-      # ã¿ã¹ã¯ã®èµ·åº
+      # タスクの起床
       $kernelCfgC.add("\t#{errorCode}wup_tsk((ID) exinf);")
     elsif nfymode1 == $TNFY_SIGSEM
-      # ã»ããã©ã®è¿å´
+      # セマフォの返却
       $kernelCfgC.add("\t#{errorCode}sig_sem((ID) exinf);")
     elsif nfymode1 == $TNFY_SETFLG
-      # ã¤ãã³ããã©ã°ã®ã»ãã
+      # イベントフラグのセット
       $kernelCfgC.add("\t#{errorCode}set_flg(((ID) exinf), #{par2});")
     elsif nfymode1 == $TNFY_SNDDTQ
-      # ãã¼ã¿ã­ã¥ã¼ã¸ã®éä¿¡
+      # データキューへの送信
       $kernelCfgC.add("\t#{errorCode}psnd_dtq(((ID) exinf), #{par2});")
     else
@@ -320,30 +297,30 @@
 			
     if nfymode2 != 0
-      # ã¨ã©ã¼éç¥å¦çã®å¦ç
+      # エラー通知処理の処理
       $kernelCfgC.add("\tif (ercd != E_OK) {")
 
 
       if nfymode2 == $TENFY_SETVAR
-        # å¤æ°ã®è¨­å®
+        # 変数の設定
         $kernelCfgC.add("\t\t*#{funcname}_p_evar = (intptr_t) ercd;")
       elsif nfymode2 == $TENFY_INCVAR
-        # å¤æ°ã®ã¤ã³ã¯ãªã¡ã³ã
+        # 変数のインクリメント
         $kernelCfgC.add("\t\t(void) loc_cpu();")
         $kernelCfgC.add("\t\t*#{funcname}_p_evar += 1;")
         $kernelCfgC.add("\t\t(void) unl_cpu();")
       elsif nfymode2 == $TENFY_ACTTSK
-        # ã¿ã¹ã¯ã®èµ·å
+        # タスクの起動
         $kernelCfgC.add("\t\t(void) act_tsk(#{funcname}_etskid);")
       elsif nfymode2 == $TENFY_WUPTSK
-        # ã¿ã¹ã¯ã®èµ·åº
+        # タスクの起床
         $kernelCfgC.add("\t\t(void) wup_tsk(#{funcname}_etskid);")
       elsif nfymode2 == $TENFY_SIGSEM
-        # ã»ããã©ã®è¿å´
+        # セマフォの返却
         $kernelCfgC.add("\t\t(void) sig_sem(#{funcname}_esemid);")
       elsif nfymode2 == $TENFY_SETFLG
-        # ã¤ãã³ããã©ã°ã®ã»ãã
+        # イベントフラグのセット
         $kernelCfgC.add("\t\t(void) set_flg(#{funcname}_eflgid, #{epar2});")
       elsif nfymode2 == $TENFY_SNDDTQ
-        # ãã¼ã¿ã­ã¥ã¼ã¸ã®éä¿¡
+        # データキューへの送信
         $kernelCfgC.add("\t\t(void) psnd_dtq(#{funcname}_edtqid," \
 													" (intptr_t) ercd);")
@@ -354,5 +331,5 @@
     end
 
-    # é¢æ°ã®æ«å°¾é¨åã®çæ
+    # 関数の末尾部分の生成
     $kernelCfgC.add2("}")
   end
@@ -361,5 +338,5 @@
 
 #
-#  åæ©è½ã¢ã¸ã¥ã¼ã«ã®ã³ã³ãã£ã®ã¥ã¬ã¼ã·ã§ã³
+#  各機能モジュールのコンフィギュレーション
 #
 $initializeFunctions = []
@@ -377,12 +354,12 @@
 
 #
-#  éã¿ã¹ã¯ã³ã³ãã­ã¹ãç¨ã®ã¹ã¿ãã¯é å
+#  非タスクコンテキスト用のスタック領域
 #
 $kernelCfgC.comment_header("Stack Area for Non-task Context")
 
 if $cfgData[:DEF_ICS].size == 0
-  # DEF_ICSããªãå ´åã®ããã©ã«ãå¤ã®è¨­å®
+  # DEF_ICSがない場合のデフォルト値の設定
   if $DEFAULT_ISTK.nil?
-    # ã¹ã¿ãã¯é åã®èªåå²ä»ã
+    # スタック領域の自動割付け
     istksz = AllocStack("_kernel_istack", "DEFAULT_ISTKSZ", "SI")
     istk = "_kernel_istack"
@@ -392,17 +369,17 @@
   end
 else
-  # éçAPIãDEF_ICSããè¤æ°ããï¼E_OBJï¼ï¼»NGKI3216ï¼½
+  # 静的API「DEF_ICS」が複数ある（E_OBJ）［NGKI3216］
   if $cfgData[:DEF_ICS].size > 1
     error("E_OBJ: too many DEF_ICS")
   end
 
-  # DEF_ICSãããå ´åã®å¦ç
+  # DEF_ICSがある場合の処理
   params = $cfgData[:DEF_ICS][1]
 
-  # ãã©ã¡ã¼ã¿ãçç¥ãããæã®ããã©ã«ãå¤ã®è¨­å®
+  # パラメータが省略された時のデフォルト値の設定
   params[:istk] ||= "NULL"
 
-  # istkszãã¿ã¼ã²ããå®ç¾©ã®æå°å¤ï¼TARGET_MIN_ISTKSZï¼æªå®ç¾©ã®å ´åã¯1ï¼
-  # ãããå°ããå ´åï¼E_PARï¼ï¼»NGKI3254ï¼½
+  # istkszがターゲット定義の最小値（TARGET_MIN_ISTKSZ，未定義の場合は1）
+  # よりも小さい場合（E_PAR）［NGKI3254］
   if params[:istksz] < $TARGET_MIN_ISTKSZ
     error_wrong("E_PAR", params, :istksz, "too small")
@@ -410,9 +387,9 @@
 
   if params[:istk] == "NULL"
-    # ã¹ã¿ãã¯é åã®èªåå²ä»ã
+    # スタック領域の自動割付け
     istksz = AllocStack("_kernel_istack", params[:istksz], "SI")
     istk = "_kernel_istack"
   else
-    # istkszãã¹ã¿ãã¯é åã®ãµã¤ãºã¨ãã¦æ­£ãããªãå ´åï¼E_PARï¼ï¼»NGKI3222ï¼½
+    # istkszがスタック領域のサイズとして正しくない場合（E_PAR）［NGKI3222］
     if (params[:istksz] & ($CHECK_STKSZ_ALIGN - 1)) != 0
       error_wrong("E_PAR", params, :istksz, "not aligned")
@@ -434,25 +411,25 @@
 
 #
-#  ã«ã¼ãã«ãå²ãä»ããã¡ã¢ãªé å
+#  カーネルが割り付けるメモリ領域
 #
 $kernelCfgC.comment_header("Memory Area Allocated by Kernel")
 
 if $cfgData[:DEF_KMM].size == 0
-  # DEF_KMMããªãå ´åã®ããã©ã«ãå¤ã®è¨­å®
+  # DEF_KMMがない場合のデフォルト値の設定
   kmmsz = "0"
   kmm = "NULL"
 else
-  # éçAPIãDEF_KMMããè¤æ°ããï¼E_OBJï¼
+  # 静的API「DEF_KMM」が複数ある（E_OBJ）
   if ($cfgData[:DEF_KMM].size > 1)
     error("E_OBJ: too many DEF_KMM")
   end
 
-  # DEF_KMMãããå ´åã®å¦ç
+  # DEF_KMMがある場合の処理
   params = $cfgData[:DEF_KMM][1]
 
-  # ãã©ã¡ã¼ã¿ãçç¥ãããæã®ããã©ã«ãå¤ã®è¨­å®
+  # パラメータが省略された時のデフォルト値の設定
   params[:kmm] ||= "NULL"
 
-  # kmmszã0ã®å ´åï¼E_PARï¼
+  # kmmszが0の場合（E_PAR）
   if params[:kmmsz] == 0
     error_wrong("E_PAR", params, :kmmsz, "zero")
@@ -460,5 +437,5 @@
 
   if params[:kmm] == "NULL"
-    # ã«ã¼ãã«ãå²ãä»ããã¡ã¢ãªé åã®èªåå²ä»ã
+    # カーネルが割り付けるメモリ領域の自動割付け
     $kernelCfgC.add("static MB_T _kernel_memory" \
 					"[TOPPERS_COUNT_SZ(#{params[:kmmsz]}, sizeof(MB_T))];")
@@ -466,6 +443,6 @@
     kmm = "_kernel_memory"
   else
-    # kmmszãã«ã¼ãã«ãå²ãä»ããã¡ã¢ãªé åã®ãµã¤ãºã¨ãã¦æ­£ãããªãå ´å
-    # ï¼E_PARï¼
+    # kmmszがカーネルが割り付けるメモリ領域のサイズとして正しくない場合
+    # （E_PAR）
     if (params[:kmmsz] & ($CHECK_MB_ALIGN - 1)) != 0
       error_wrong("E_PAR", params, :kmmsz, "not aligned")
@@ -483,5 +460,5 @@
 
 #
-#  ã¿ã¤ã ã¤ãã³ãç®¡ç
+#  タイムイベント管理
 #
 $kernelCfgC.comment_header("Time Event Management")
@@ -491,5 +468,5 @@
 
 #
-#  åã¢ã¸ã¥ã¼ã«ã®åæåé¢æ°
+#  各モジュールの初期化関数
 #
 $kernelCfgC.comment_header("Module Initialization Function")
@@ -505,12 +482,12 @@
 
 #
-#  åæåã«ã¼ãã³æ©è½
+#  初期化ルーチン機能
 #
 $kernelCfgC.comment_header("Initialization Routine")
 
-# ã¨ã©ã¼ãã§ãã¯
+# エラーチェック
 $cfgData[:ATT_INI].each do |key, params|
-  # iniatrãç¡å¹ã®å ´åï¼E_RSATRï¼ï¼»NGKI3241ï¼½
-  #ï¼TA_NULLã§ãªãå ´åï¼
+  # iniatrが無効の場合（E_RSATR）［NGKI3241］
+  #（TA_NULLでない場合）
   if (params[:iniatr] != $TA_NULL)
     error_illegal_sym("E_RSATR", params, :iniatr, :inirtn)
@@ -518,5 +495,5 @@
 end
 
-# åæåã«ã¼ãã³ã®å®è¡é¢æ°ã®çæ
+# 初期化ルーチンの実行関数の生成
 $kernelCfgC.append(<<EOS)
 void
@@ -531,12 +508,12 @@
 
 #
-#  çµäºå¦çã«ã¼ãã³æ©è½
+#  終了処理ルーチン機能
 #
 $kernelCfgC.comment_header("Termination Routine")
 
-# ã¨ã©ã¼ãã§ãã¯
+# エラーチェック
 $cfgData[:ATT_TER].each do |key, params|
-  # teratrãç¡å¹ã®å ´åï¼E_RSATRï¼ï¼»NGKI3248ï¼½
-  #ï¼TA_NULLã§ãªãå ´åï¼
+  # teratrが無効の場合（E_RSATR）［NGKI3248］
+  #（TA_NULLでない場合）
   if (params[:teratr] != $TA_NULL)
     error_illegal_sym("E_RSATR", params, :teratr, :terrtn)
@@ -544,5 +521,5 @@
 end
 
-# çµäºå¦çã«ã¼ãã³ã®å®è¡é¢æ°ã®çæ
+# 終了処理ルーチンの実行関数の生成
 $kernelCfgC.append(<<EOS)
 void
@@ -557,5 +534,5 @@
 
 #
-#  kernel_cfg.hã®æ«å°¾é¨åã®çæ
+#  kernel_cfg.hの末尾部分の生成
 #
 $kernelCfgH.append(<<EOS)
